## 1.1.0

This release brings many UX improvements and even more stability. The JavaScript API
got some much requested additions like `Object.findByName()`.

The engine now supports rendering multiple different text pipelines.

Overall performance of the editor has been improved.

### Experimental Shader API Changes

To help you migrate your custom shaders:

- `viewPositionWorld` now requires `#include "lib/Uniforms.glsl"`

### JavaScript API Changes

`Dependencies` was added in preview versions of version 1.0 and deprecated before 1.0.
As of `@wonderlandengine/api@1.1.1` it is fully removed. Please call
`engine.registerComponent(dependency)` in `static onRegister(engine)` of your component
instead.

Note that you can use `@wonderlandengine/api@1.1.0` if you do not want to update your code.

### Internal changes

From all the changes we make, only a portion is directly visible to you.
Some changes affect internal workflows and code quality.

For this release especially, the changes massively improved internal development speed,
greatly improving the efficiency of the engine team.

### Changelog

**Editor**

- Asset Browser: Fixed "Open in Explorer" opening wrong folder
- Benchmarking: Fixed Meta Quest proximity and guardian states not set correctly
- Disabled language zip compression by default
- Fixed creating `null` components when using component drag and drop
- Fixed localization data not generated when packaging from CLI
- Fixed occasional double packaging
- Fixed potential crashes in web server at shutdown
- Fixed text not updating in real-time while editing text component
- Further improved stability of file watching on MacOS
- Made loading of language files more resilient to manual changes
- Made order of terms in language files deterministic to avoid source control changes
- Optimized Scene View rendering performance
- Optimized overall editor performance
- Resources View: Fixed pipelines not draggable to final slot
- Scene Outline: Added search field to filter objects by name
- Scene View: Fixed bug where shadows appear incorrect until first lighting change
- Scene View: Fixed toolbar drawing outside of view
- Scene View: Made shortcuts match Scene Outline shortcuts
- Fixed rare crash in web server on editor shutdown
- Web server now serves `.gz` and `.br` files with the matching gzip or brotli `Content-Encoding`
- Web server now serves `.json` files with the correct content type

**Engine**

- Fixed rendering issues when indexing state of batch changes
- Multiple text pipelines are now supported

**Runtime**

- Appending `.bin` files now supports JavaScript components
- Improved robustness of appending `.bin` files at runtime
- Fixed language switching sometimes not taking effect

**JavaScript/TypeScript API**

- Added `Object.findByName()`, `.findByNameDirect()` and `.findByNameRecursive()`
- Fixed various typos in documentation
- Updated mesh data modification snippets in documentation
- Added `CollisionComponent.radius`
- Added `CollisionComponent.resetProperties()`
- Added `static Component.InheritProperties` boolean to control property inheritance
- Added `Scene.skyMaterial` to allow disabling skies for mixed reality and AR
- Fixed component state sometimes not properly reset
